Bug 1195940 - katello-service do not handle PostgreSQL service
Summary: katello-service do not handle PostgreSQL service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 21:22 UTC by Jan Hutař
Modified: 2019-09-25 21:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:13:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 11648 None None None 2016-04-22 16:29:39 UTC

Description Jan Hutař 2015-02-24 21:22:35 UTC
Description of problem:
katello-service do not handle PostgreSQL service


Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150220.0-Satellite-x86_64


How reproducible:
always


Steps to Reproduce:
1. # katello-service stop
2. # service postgresql status


Actual results:
PostgreSQL is still running


Expected results:
PostgreSQL should be stopped by `katello-service stop`

Comment 1 RHEL Product and Program Management 2015-02-24 23:14:27 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Brad Buckingham 2015-09-01 20:14:38 UTC
Created redmine issue http://projects.theforeman.org/issues/11648 from this bug

Comment 4 Brad Buckingham 2015-09-01 20:20:34 UTC
katello-packing PR: https://github.com/Katello/katello-packaging/pull/76

Comment 5 Bryan Kearney 2015-09-01 22:03:20 UTC
Upstream bug component is Content Management

Comment 6 Bryan Kearney 2015-10-21 20:07:34 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/11648 has been closed

Comment 7 jcallaha 2015-11-10 21:41:23 UTC
Verified in upstream. katello-service now includes postgres.

[root@qe-blade-12 ~]# katello-service stop
Redirecting to /bin/systemctl stop  mongod.service
Redirecting to /bin/systemctl stop  postgresql.service
Redirecting to /bin/systemctl stop  qpidd.service
Redirecting to /bin/systemctl stop  qdrouterd.service
Redirecting to /bin/systemctl stop  tomcat.service
Redirecting to /bin/systemctl stop  foreman-proxy.service
Redirecting to /bin/systemctl stop  pulp_workers.service
Redirecting to /bin/systemctl stop  pulp_celerybeat.service
Redirecting to /bin/systemctl stop  pulp_resource_manager.service

Stopping elasticsearch (via systemctl):  [  OK  ]
Redirecting to /bin/systemctl stop  httpd.service

Redirecting to /bin/systemctl stop  foreman-tasks.service

Success!
[root@qe-blade-12 ~]# service postgresql status
Redirecting to /bin/systemctl status  postgresql.service
postgresql.service - PostgreSQL database server
   Loaded: loaded (/etc/systemd/system/postgresql.service; enabled)
   Active: inactive (dead) since Tue 2015-11-10 16:30:27 EST; 57s ago
  Process: 7974 ExecStop=/usr/bin/pg_ctl stop -D ${PGDATA} -s -m fast (code=exited, status=0/SUCCESS)
  Process: 25059 ExecStart=/usr/bin/pg_ctl start -D ${PGDATA} -s -o -p ${PGPORT} -w -t 300 (code=exited, status=0/SUCCESS)
  Process: 25051 ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGDATA} (code=exited, status=0/SUCCESS)
 Main PID: 25066 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/postgresql.service

Nov 09 10:55:10 qe-blade-12.idmqe.lab.eng.bos.redhat.com systemd[1]: Started PostgreSQL database server.
Nov 10 16:30:26 qe-blade-12.idmqe.lab.eng.bos.redhat.com systemd[1]: Stopping PostgreSQL database server...
Nov 10 16:30:27 qe-blade-12.idmqe.lab.eng.bos.redhat.com systemd[1]: Stopped PostgreSQL database server.

Comment 10 errata-xmlrpc 2016-07-27 09:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.